<script setup lang="ts">
    import { VRow } from "vuetify/components";
    import { computed, onMounted, ref } from "vue";
    import { getImageData } from "../functions/imageUploadLogic";

    const props = defineProps<{
        displayId: number;
        password: string;
    }>();
    const emit = defineEmits(["closePhotoApplication"]);

    function close() {
        emit("closePhotoApplication");
    }

    const hasImage = computed(() => {
        return image.value.length > 50;
    });

    const image = ref("");

    onMounted(async () => {
        const imageData = await getImageData(props.password, props.displayId);
        image.value = imageData;
    });
</script>

<template>
    <div>
        <v-row justify="center">
            <v-row id="camera-button-container" class="v-col-12 v-col-xl-10">
                <template v-if="hasImage">
                    <img id="image" :src="image ?? ''" class="v-col-12" @click="close()" />
                </template>
            </v-row>
        </v-row>
    </div>

    <div id="close-photo-mode">
        <v-btn icon="mdi-close" @click="close()"></v-btn>
    </div>
</template>

<style scoped>
    #close-photo-mode {
        position: absolute;
        right: 2em;
        bottom: 1em;
    }
    #image {
        max-width: 100%;
        max-height: 90vh;
        width: auto;
        height: auto;
        object-fit: contain;
    }
    #camera-button-container {
        position: relative;
    }
</style>
